Package org.pgpainless.signature.consumer

# Enum Class SignatureCreationDateComparator.Order

java.lang.Object
java.lang.Enum<SignatureCreationDateComparator.Order>
org.pgpainless.signature.consumer.SignatureCreationDateComparator.Order

All Implemented Interfaces:
  `Serializable`, `Comparable<SignatureCreationDateComparator.Order>`, `Constable`

Enclosing class:
  `SignatureCreationDateComparator`

public static enum SignatureCreationDateComparator.Order extends Enum<SignatureCreationDateComparator.Order>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NEW_TO_OLD`
Newest signatures first.
`OLD_TO_NEW`
Oldest signatures first.

## Method Summary

Modifier and Type
Method
Description
`static SignatureCreationDateComparator.Order`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SignatureCreationDateComparator.Order[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OLD_TO_NEW

public static final SignatureCreationDateComparator.Order OLD_TO_NEW
Oldest signatures first.

### NEW_TO_OLD

public static final SignatureCreationDateComparator.Order NEW_TO_OLD
Newest signatures first.

## Method Details

### values

public static SignatureCreationDateComparator.Order[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SignatureCreationDateComparator.Order valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null